<!DOCTYPE html>
<html>
<head>
	<title>Conexio amb PHP a la base de dades</title>
	<meta charset="utf-8">
	<script>
		function buscaAlumnos(p, param){
			console.log(p);
			if (p.length==0) {
				document.getElementById("alumnos").innerHTML = "";
				return;
			}
			var xmlhttp;
			if (window.XMLHttpRequest) {
				xmlhttp = new XMLHttpRequest();
				//alert("El navegador si soporta XMLHTTP");
			} else {
				//IE 5y6
				xmlhttp = new ActiveXObject("Microsoft.HMLHTTP");
				alert("Tu navegador no soporta XMLHTTP");
			}
			xmlhttp.onreadystatechange = function(){
				//console.log(xmlhttp.readyState,xmlhttp.status);
				if(xmlhttp.readyState==4){
					if(xmlhttp.status==200){
						//Buidem la informació a la sortida
						document.getElementById("alumnos").innerHTML=xmlhttp.responseText;
					} else {
						document.getElementById("alumnos").innerHTML="<p>Error en el proceso de lectura del archivo. Error "+xmlhttp.status;
					}
					
				}
			}
			//GET o POST, url, true=>Asincrono false=>Sincrono
			xmlhttp.open("GET","alumnosExercici1y2.php?q="+p+ "&materia=" + param,true);
			//Ejecutamos la lectura
			xmlhttp.send();
		}
	</script>
</head>
<style>
	select{
		width: 100px;
	}
</style>
<body>
<button onclick="buscaAlumnos('suspes', 'null')">Suspesos</button>
<button onclick="buscaAlumnos('aprovat', 'null')">Aprovats</button>
<button onclick="buscaAlumnos('excelent', 'null')">Excel·lents</button>

<label for="materia">Elige una materia:</label>

<select name="materia" id="materia" onchange="buscaAlumnos(this.value, 'materia')">
  <option value="1">1</option>
  <option value="2">2</option>
  <option value="3">3</option>
</select>


<p>Alumnos:<br><span id="alumnos"></span></p>
</div>
</body>
</html>